from typing import TypedDict

from pydantic import BaseModel


class AEMDFile(TypedDict):
    emdrId: str
    localUid: str
    registrationDate: str
    registrationDateTime: str
    storeTillDate: str
    DocKind: str
    IsSemd: bool


class AEMDReturnFile(TypedDict):
    emdrId: str
    registrationDate: str
    DocKind: str
    IsSemd: bool
    isCached: bool


class AEMDDemandContent(TypedDict):
    messageId: str
    emdrId: str
    vitaId: str


class Notifications(TypedDict):
    notifications: list[dict[str, str | bool]]


class Complaints(BaseModel):
    complaints: str
